"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createConformanceClient = void 0;
const create_and_run_plan_1 = require("./flows/create-and-run-plan");
const run_existing_plan_1 = require("./flows/run-existing-plan");
const create_api_client_1 = require("./utils/create-api-client");
const createConformanceClient = (options) => {
    const apiClient = (0, create_api_client_1.createApiClient)(options);
    const context = {
        ...options,
        apiClient,
    };
    return {
        createAndRun: (planOptions, options, override) => (0, create_and_run_plan_1.createAndRunPlan)(context, planOptions, options, override),
        runExisting: async (planId, options, override) => (0, run_existing_plan_1.runExistingPlan)(context, planId, options, override),
    };
};
exports.createConformanceClient = createConformanceClient;
//# sourceMappingURL=create-conformance-client.js.map